Create Offer
Create a new commercial offer record in SalesTouch.
Create a new commercial offer record in SalesTouch.
When to use
Use this when the workspace is missing the offer needed to support a mission or when a new proposition must be captured before prospecting starts.
Output notes
- Responses default to `full` mode through the public API and CLI.
- Use `compact` only when token savings matter more than prospecting quality. It can noticeably reduce prospecting quality.
Output schema
{
"type": "object",
"properties": {
"offer": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"organizationId": {
"type": "string"
},
"name": {
"type": "string"
},
"oneLiner": {
"type": "string"
},
"valueProposition": {
"type": "string"
},
"description": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"landingPageUrl": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"salesBriefUrl": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"isDraft": {
"type": "boolean"
},
"lastUsedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time"
},
{
"type": "null"
}
]
},
"references": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"TESTIMONIAL",
"CASE_STUDY",
"PRESS",
"SECTOR_REFERENCE",
"STATS",
"OTHER"
]
},
"title": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"content": {
"type": "string"
},
"author": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"jobTitle": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"company": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"companyLocation": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"companySize": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"industry": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"keyResult": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"source": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"publishedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time"
},
{
"type": "null"
}
]
},
"url": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"tags": {
"anyOf": [
{
"type": "array",
"items": {
"type": "string"
}
},
{
"type": "null"
}
]
},
"metadata": {
"anyOf": [
{
"type": "object",
"additionalProperties": true
},
{
"type": "null"
}
]
}
},
"required": [
"type",
"title",
"content",
"author",
"jobTitle",
"company",
"companyLocation",
"companySize",
"industry",
"keyResult",
"source",
"publishedAt",
"url",
"tags",
"metadata"
],
"additionalProperties": false
}
},
"problemSolutions": {
"type": "array",
"items": {
"type": "object",
"properties": {
"problem": {
"type": "string"
},
"solution": {
"type": "string"
},
"feature": {
"type": "string"
}
},
"required": [
"problem",
"solution",
"feature"
],
"additionalProperties": false
}
},
"differentiators": {
"type": "array",
"items": {
"type": "object",
"properties": {
"title": {
"type": "string"
},
"description": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"title",
"description"
],
"additionalProperties": false
}
},
"resources": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"TUTORIAL",
"WEBINAR",
"EVENT",
"GUIDE",
"PLAYBOOK",
"ARTICLE",
"VIDEO",
"OTHER"
]
},
"title": {
"type": "string"
},
"description": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"url": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"publishedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time"
},
{
"type": "null"
}
]
}
},
"required": [
"type",
"title",
"description",
"url",
"publishedAt"
],
"additionalProperties": false
}
},
"createdAt": {
"type": "string",
"format": "date-time"
},
"updatedAt": {
"type": "string",
"format": "date-time"
}
},
"required": [
"id",
"organizationId",
"name",
"oneLiner",
"valueProposition",
"description",
"landingPageUrl",
"salesBriefUrl",
"isDraft",
"lastUsedAt",
"references",
"problemSolutions",
"differentiators",
"resources",
"createdAt",
"updatedAt"
],
"additionalProperties": false
}
},
"required": [
"offer"
],
"additionalProperties": false
}
CLI
salestouch commands run offer.create --input-json '{"offer_id":"<string>","offer_name":"<string>","name":"<string>"}' --json
Payload
{
"offer_id": "<string>",
"offer_name": "<string>",
"name": "<string>"
}
Runtime Command
offer.create is exposed through the shared SalesTouch runtime and stays available across API, CLI and MCP.
HTTP Reference
Use Authorization: Bearer <salestouch_api_key>.
In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://www.salestouch.io/api/v1/commands/string" \ -H "Content-Type: application/json" \ -d '{}'{
"ok": true,
"status": 0,
"data": {},
"error": {
"code": "string",
"message": "string"
},
"meta": {
"approval_required": true,
"approval_request_id": "string",
"command_hash": "string",
"warnings": [
"string"
]
}
}{
"ok": true,
"status": 0,
"data": {},
"error": {
"code": "string",
"message": "string"
},
"meta": {
"approval_required": true,
"approval_request_id": "string",
"command_hash": "string",
"warnings": [
"string"
]
}
}{
"error": {
"message": "string",
"code": "string"
}
}{
"error": {
"message": "string",
"code": "string"
}
}{
"ok": true,
"status": 0,
"data": {},
"error": {
"code": "string",
"message": "string"
},
"meta": {
"approval_required": true,
"approval_request_id": "string",
"command_hash": "string",
"warnings": [
"string"
]
}
}{
"ok": true,
"status": 0,
"data": {},
"error": {
"code": "string",
"message": "string"
},
"meta": {
"approval_required": true,
"approval_request_id": "string",
"command_hash": "string",
"warnings": [
"string"
]
}
}{
"ok": true,
"status": 0,
"data": {},
"error": {
"code": "string",
"message": "string"
},
"meta": {
"approval_required": true,
"approval_request_id": "string",
"command_hash": "string",
"warnings": [
"string"
]
}
}Schema Reference
Use Authorization: Bearer <salestouch_api_key>.
In: header
Path Parameters
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://www.salestouch.io/api/v1/commands/string/schema"{
"data": {
"command": {
"command_id": "string",
"title": "string",
"description": "string",
"summary": "string",
"visibility": "public",
"risk": "read",
"category": "linkedin",
"default_permission": "allow",
"when_to_use": "string",
"risk_notes": [
"string"
],
"output_notes": [
"string"
],
"related_commands": [
"string"
],
"related_resources": [
"string"
],
"examples": [
{
"title": "string",
"language": "string",
"code": "string"
}
],
"input_schema": {},
"output_schema": {},
"approval_output_schema": {}
}
}
}{
"error": {
"message": "string",
"code": "string"
}
}{
"error": {
"message": "string",
"code": "string"
}
}{
"error": {
"message": "string",
"code": "string"
}
}